Subject: Re: Cygipc, Postgresql, etc ...
From: "Andrea Malagoli" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 11 Jul 2000 16:17:38 -0500

Thanks. Here is a report of the first part.

When ipc-daemon.exe is started, it creates three files in /tmp:
/tmp/MultiFileMsg  /tmpMultiFileSem   /tmp/MultiFileShm

It turns out that these files MUST be world-readable in order for shared
memory
to work.  Just doing  chmod a+r /tmp/Multi*  will do the trick.
Now, when 'ntsec' is set in CYGWIN, these files are created without read
permissions,
and this is the cause of the problem.  However,  chmod a+r solves the
problem, i.e. there
is no need to remove 'ntsec'.

Regarding compilation problems with cygip-1.05 on Cygwin 1.1.2,  I have
managed to
fix some problems, mailny in the Makefile (added -fpermissive, removed
reference to
WinMainCRTStartup() in ipc-daemon.c ...), but so far I have managed to
compile only
ipc-daemon.exe. I'll see if I can go further, or I'll send what I have to
anyone interested.

- Andrea

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Andrea Malagoli" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 11, 2000 2:25 PM
Subject: Re: Cygipc, Postgresql, etc ...

> Runtime:
> There are some difficulties with cygipc's socket files (created in /tmp,
> usually) and permissions. I don't remember all the details, but I
> *think* it may have something to do with the presence (or absence) of
> NTSEC/NONTSEC in your CYGWIN variable. Experiment, debug -- and let me
> (and the list) know what you find...
>
> Compiling:
> I haven't tried to compile this with gcc-2.95.2-2 (or 2.95.2-1), nor
> with a binutils newer than 19990818-2, or cygwin dll newer than 1.1.0.
> Any of these new releases may have uncovered bugs in the cygipc code, or
> the cygipc code may be exposing bugs in those tools. Please feel free to
> submit patches to any/all of the above.
>
> I didn't write cygipc -- since the original servers were flaky, and
> often down for months at a time, I mirrored them at cygutils. People
> sent me patches, so for lack of any better idea, I officially forked the
> code from the capgemini and nasa versions and updated the distribution
> at cygutils. But I really have never looked deeply at the code, so I
> can't provide any special insight as to why it might be failing for you.
>
> If you're still at a loss, you can try contacting the original authors:
>
> Original Servers:
> http://www.multione.capgemini.fr/tools/pack_ipc/
> http://dods.jpl.nasa.gov/WinPort/portEnvSetup.html
>
ftp://podaac.jpl.nasa.gov/pub/users/rmorris/DodsWin32Port/cygwinB20IPC.tar.g
z
>
> Sorry I can't be more help than that.
>
> --Chuck
>
>
>
> Andrea Malagoli wrote:
> >
> > I am trying to install both cygipc 1.05 and PostgreSQL on my Win2k PC
> > with Cygwin 1.1.2
> > In both cases, the sources that are supposed to compile under Cygwin DO
NOT
> > COMPILE. So, I am already having a problem here.
> >
> > More importantly, cygipc does not seem to work. If I install the cygipc
> > binaries,
> > and start icp-daemon.exe, then the shared memory tests fail:
> > bash-2.04$ ipctest.exe h
> > Test v0.02
> > Shared memory segment 0 created
> > shmat return code= -1
> > nok
> > shmat failed, errno= 0
> >
> > Similarly, if I try to start PostgreSQL using:
> > postmaster -i
> >
> > I get an error:
> > IpcMemoryAttach: shmat failed (error 0) id=0
> > FATAL 1: AttachSLockMemory: could not attach segment
> >
> > Are there particular settings I have to worry about in order for
> > cygipc to work ?
> >
> > Greetings.
> > - Andrea Malagoli
> >   [email-masked]
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]